Subject: [alpine-aports] [PATCH 1/3] testing/ffmpegthumbnailer: update to 2.0.10

From: Stuart Cardall <[email-masked]>
Date: Tue, 5 May 2015 00:26:26 +0000

---
 testing/ffmpegthumbnailer/APKBUILD | 26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)

diff --git a/testing/ffmpegthumbnailer/APKBUILD b/testing/ffmpegthumbnailer/APKBUILD
index 6eaca54..c8f7168 100644
--- a/testing/ffmpegthumbnailer/APKBUILD
+++ b/testing/ffmpegthumbnailer/APKBUILD
@@ -1,16 +1,15 @@
 # Contributor: Stuart Cardall <[email-masked]>
 # Maintainer: Stuart Cardall <[email-masked]>
 pkgname=ffmpegthumbnailer
-pkgver=2.0.9
+pkgver=2.0.10
 pkgrel=0
 pkgdesc="Lightweight video thumbnailer that can be used by file managers"
-url="https://code.google.com/p/ffmpegthumbnailer"
+url="https://github.com/dirkvdb/ffmpegthumbnailer"
 arch="all"
 license="GPLv2"
-depends_dev=""
-makedepends="$depends_dev ffmpeg-dev libpng-dev"
+makedepends="$depends_dev ffmpeg-dev libpng-dev libjpeg-turbo-dev cmake"
 subpackages="$pkgname-dev $pkgname-doc"
-source="saveas-https://github.com/itoffshore/$pkgname/archive/$pkgver.tar.gz/${pkgname}-${pkgver}.tar.gz"
+source="$pkgname-$pkgver.tar.bz2::https://github.com/dirkvdb/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
@@ -25,15 +24,7 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
+	cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/usr -DENABLE_GIO=ON -DENABLE_THUMBNAILER=ON . || return 1
 	make || return 1
 }
 
@@ -41,8 +32,9 @@ package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
+	mv "$pkgdir"/usr/man "$pkgdir"/usr/share/
 }
 
-md5sums="fd5a096a51d0d6d00d15baa6027e8932  ffmpegthumbnailer-2.0.9.tar.gz"
-sha256sums="f5d4ef034c98d1279c01b811460f0f6394f5f3ee5afe4c674ea14f3196b87348  ffmpegthumbnailer-2.0.9.tar.gz"
-sha512sums="fdfb42b30cf980592a7d4b617f9983d265553ed9217151920953901830d816a04eca5f3c6c776697fab67953095600a2d1e0b690c337a200dad8966b0f82df09  ffmpegthumbnailer-2.0.9.tar.gz"
+md5sums="3918d43b9d76c6e3eaf17e1c0c7dd5bc  ffmpegthumbnailer-2.0.10.tar.bz2"
+sha256sums="a3022c86aa3e704849e424147bd4a319867e18930d66a4a4c93c0baefdd1fc60  ffmpegthumbnailer-2.0.10.tar.bz2"
+sha512sums="1fcfcfe9457a3e3e70a749f3234f79d080fbbb40d4d1f65b84e1c46a7051c75368afaffb25a39b43f8e205ffdbc2e156e6fb5848514fce4a1a3f5222458c1b9d  ffmpegthumbnailer-2.0.10.tar.bz2"
-- 
2.4.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Stuart Cardall <[email-masked]>
Date: Tue, 5 May 2015 00:26:27 +0000

---
 testing/spacefm/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/testing/spacefm/APKBUILD b/testing/spacefm/APKBUILD
index 9d0751d..04f991f 100644
--- a/testing/spacefm/APKBUILD
+++ b/testing/spacefm/APKBUILD
@@ -2,7 +2,7 @@
 # Contributor: Bartłomiej Piotrowski <[email-masked]>
 
 pkgname=spacefm
-pkgver=1.0.0
+pkgver=1.0.1
 pkgrel=0
 pkgdesc='Multi-panel tabbed file manager (GTK2 version)'
 arch=all
@@ -51,6 +51,6 @@ package() {
 	make -j1 DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="0aa34602f2b2a41b57e60ec735b60053  spacefm-1.0.0.tar.gz"
-sha256sums="7460df267ba846d4c9d31f26d76b08508068e0aa39a3c0f6e8e6c962286fc6a3  spacefm-1.0.0.tar.gz"
-sha512sums="e3ce68291baca59ea48b254b163d0db1a7324f11eb9dc0c1a4c42bd3b197dc8dcd458ffebe00fad94662e8e51217af43211b1b6e5d091cdb0a39d0020d46fbac  spacefm-1.0.0.tar.gz"
+md5sums="3665b0cf08dcbebefcc832afc19d613e  spacefm-1.0.1.tar.gz"
+sha256sums="7f1b0289939e0301cf412518fc4eb35219871faff172ff249d95e4cfa732fa56  spacefm-1.0.1.tar.gz"
+sha512sums="30753bce422629ba87805f61ec0ce0ea6c24ecd10c18b261a956e86796de136aca82f292d463173c65871addad1823764c6126dec2e87b158f3c1160f3c6567e  spacefm-1.0.1.tar.gz"
-- 
2.4.0

---

---

From: Stuart Cardall <[email-masked]>
Date: Tue, 5 May 2015 00:26:28 +0000

the build server will need the plugdev group for chown to succeed

udevil is an alternative to udisks:
https://ignorantguru.github.io/udevil/

Mount / unmount removable devices without being root (also mounts
ISO / nfs://, smb://, ftp://, ssh:// WebDAV URLs, and tmpfs/ramfs.

SUID bit removed & tested as in & out of the plugdev group.
---
 testing/udevil/APKBUILD            | 44 ++++++++++++++++++++++++++++++++++++++
 testing/udevil/udevil.post-install | 22 +++++++++++++++++++
 testing/udevil/udevil.pre-install  |  4 ++++
 3 files changed, 70 insertions(+)
 create mode 100644 testing/udevil/APKBUILD
 create mode 100644 testing/udevil/udevil.post-install
 create mode 100644 testing/udevil/udevil.pre-install

diff --git a/testing/udevil/APKBUILD b/testing/udevil/APKBUILD
new file mode 100644
index 0000000..e0147fc
--- /dev/null
+++ b/testing/udevil/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=udevil
+pkgver=0.4.4
+pkgrel=0
+pkgdesc="Mount / unmount removable devices without a password (udisks alternative)"
+url="http://ignorantguru.github.io/udevil"
+arch="all"
+license="GPL3+"
+makedepends="$depends_dev glib-dev udev-dev intltool"
+install="$pkgname.post-install $pkgname.pre-install"
+subpackages="$pkgname-lang"
+source="$pkgname-$pkgver.tar.gz::https://github.com/IgnorantGuru/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--disable-systemd || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	chown root:plugdev "$pkgdir"/usr/bin/udevil || return 1
+        chmod u+s,go-s,o-x "$pkgdir"/usr/bin/udevil # remove SUID bit
+#	chmod ugo-s,ugo+x "$pkgdir"/usr/bin/udevil #remove SUID bit completely
+}
+
+md5sums="281aa065d92c679cb41728069e72b272  udevil-0.4.4.tar.gz"
+sha256sums="ad2fd8375bd62622718a04235e9772119459089938dbb78e657955e595822b7c  udevil-0.4.4.tar.gz"
+sha512sums="adce4916e06d1cc4965521abbcbc2901e53930691167f431cb18e28d3ef8bde740e95a6a5f40dfc58dfd7b4b661b4475d3dd2b6174a5d7a55ae7c65629b82327  udevil-0.4.4.tar.gz"
diff --git a/testing/udevil/udevil.post-install b/testing/udevil/udevil.post-install
new file mode 100644
index 0000000..f2485ed
--- /dev/null
+++ b/testing/udevil/udevil.post-install
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+NORMAL="\033[1;0m"
+STRONG="\033[1;1m"
+GREEN="\033[1;32m"
+
+print_strong() {
+        local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
+        printf "${prompt} %s\n"
+}
+
+print_strong "\nTo mount / unmount devices without the root password:" " add your user account to the 'plugdev' group."
+print_strong "\nOptional dependencies:"
+print_strong "\nzenity: " "	(devmon popups)"
+print_strong "davfs2: " "	(mount WebDAV resources)"
+print_strong "cifs-utils: " "	(mounting samba shares)"
+print_strong "curlftpfs: " "	(mounting ftp shares)"
+print_strong "nfs-utils: " "	(mounting nfs shares)"
+print_strong "sshfs-fuse: " "	(mounting sftp shares)"
+print_strong "eject: " "	(eject via devmon)"
+exit 0
+
diff --git a/testing/udevil/udevil.pre-install b/testing/udevil/udevil.pre-install
new file mode 100644
index 0000000..bd4b7de
--- /dev/null
+++ b/testing/udevil/udevil.pre-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+addgroup -S plugdev 2>/dev/null
+exit 0
+
-- 
2.4.0

---

---

From: Francesco <[email-masked]>
Date: Tue, 05 May 2015 08:59:19 +0200

> +	chown root:plugdev "$pkgdir"/usr/bin/udevil || return 1

Thank you Stuart, applied.
Jsut FYI: I had to add to APKBUILD the "pkgroups" directive, otherwise 
build failed when chown for a non-existing group.
Thanks.
-- 
:: Francesco ::
Twit.....http://twitter.com/fcolista
[email-masked]
[email-masked]
AboutMe..http://about.me/fcolista

---

---

From: Natanael Copa <[email-masked]>
Date: Tue, 5 May 2015 14:50:55 +0200

On Tue,  5 May 2015 00:26:28 +0000

> +++ b/testing/udevil/udevil.post-install

I am not sure I like the post-install script.

- There is no guarantee that there are color support. (think: apk add
  $packages > logfile)

- There is no guarantee user reach to read it. package might be
  installed together with 100 other packages.

- It is meaningless to show this message every reboot. (tmpfs install)

- If every package did something like this it would slow down the
  install.

Can we remove the post-install and create a doc on the wiki instead?

If we want this kind of informative messages for installed packages,
then we should consider add this as a feature for apk-tools or similar.

The message should be displayed after install (maybe via trigger?) and
maybe we want be able to read the message long time after package was
installed.

Maybe store them as /usr/share/apk-tools/$pkgname/post-install-message
or similar.

In any case, I don't like doing it from post-install.

-nc

---

---

From: IT Offshore Developer <[email-masked]>
Date: Tue, 05 May 2015 15:24:28 +0100

ncopa - I will revise udevil - I agree 
/usr/share/apk-tools/$pkgname/post-install-message is a better place to 
store non colored messages - the formatting is best left to apk-tools to 
save space.

Stuart.

On 2015-05-05 13:50, Natanael Copa wrote:
>> +print_strong "\nTo mount / unmount devices without the root 
>> password:" " add your user account to the 'plugdev' group."

---